Scheme< SCHEME_TYPE >::LocalMask< WEIGHT > Class Template Reference

`#include <scheme.h>`

## Public Types

typedef WEIGHT | Weight

## Public Member Functions

| LocalMask (Weight *v, Weight *e, Weight *f)
| ~LocalMask ()
int | GetNumVertexWeights () const
int | GetNumEdgeWeights () const
int | GetNumFaceWeights () const
void | SetNumVertexWeights (int count)
void | SetNumEdgeWeights (int count)
void | SetNumFaceWeights (int count)
Weight const & | VertexWeight (int index) const
Weight const & | EdgeWeight (int index) const
Weight const & | FaceWeight (int index) const
Weight & | VertexWeight (int index)
Weight & | EdgeWeight (int index)
Weight & | FaceWeight (int index)
bool | AreFaceWeightsForFaceCenters () const
void | SetFaceWeightsForFaceCenters (bool on)
template<typename USER_MASK >
void | CombineVertexVertexMasks (Weight thisCoeff, Weight dstCoeff, USER_MASK &dst) const

## Detailed Description

template<SchemeType SCHEME_TYPE>
template<typename WEIGHT>
class OpenSubdiv::OPENSUBDIV_VERSION::Sdc::Scheme< SCHEME_TYPE >::LocalMask< WEIGHT >

Definition at line 209 of file scheme.h.

## Member Typedef Documentation

## Weight

typedef WEIGHT Weight

Definition at line 212 of file scheme.h.

## Constructor & Destructor Documentation

## LocalMask()

LocalMask | ( | Weight * | v,
|  | Weight * | e,
|  | Weight * | f
| ) |  |

inline

Definition at line 215 of file scheme.h.

## ~LocalMask()

~LocalMask | ( |  | ) |

inline

Definition at line 216 of file scheme.h.

## Member Function Documentation

## AreFaceWeightsForFaceCenters()

bool AreFaceWeightsForFaceCenters | ( |  | ) | const

inline

Definition at line 239 of file scheme.h.

## CombineVertexVertexMasks()

void CombineVertexVertexMasks | ( | Weight | thisCoeff,
|  | Weight | dstCoeff,
|  | USER_MASK & | dst
| ) |  | const

inline

Definition at line 249 of file scheme.h.

## EdgeWeight() [1/2]

Weight & EdgeWeight | ( | int | index | ) |

inline

Definition at line 236 of file scheme.h.

## EdgeWeight() [2/2]

Weight const & EdgeWeight | ( | int | index | ) | const

inline

Definition at line 232 of file scheme.h.

## FaceWeight() [1/2]

Weight & FaceWeight | ( | int | index | ) |

inline

Definition at line 237 of file scheme.h.

## FaceWeight() [2/2]

Weight const & FaceWeight | ( | int | index | ) | const

inline

Definition at line 233 of file scheme.h.

## GetNumEdgeWeights()

int GetNumEdgeWeights | ( |  | ) | const

inline

Definition at line 224 of file scheme.h.

## GetNumFaceWeights()

int GetNumFaceWeights | ( |  | ) | const

inline

Definition at line 225 of file scheme.h.

## GetNumVertexWeights()

int GetNumVertexWeights | ( |  | ) | const

inline

Definition at line 223 of file scheme.h.

## SetFaceWeightsForFaceCenters()

void SetFaceWeightsForFaceCenters | ( | bool | on | ) |

inline

Definition at line 240 of file scheme.h.

## SetNumEdgeWeights()

void SetNumEdgeWeights | ( | int | count | ) |

inline

Definition at line 228 of file scheme.h.

## SetNumFaceWeights()

void SetNumFaceWeights | ( | int | count | ) |

inline

Definition at line 229 of file scheme.h.

## SetNumVertexWeights()

void SetNumVertexWeights | ( | int | count | ) |

inline

Definition at line 227 of file scheme.h.

## VertexWeight() [1/2]

Weight & VertexWeight | ( | int | index | ) |

inline

Definition at line 235 of file scheme.h.

## VertexWeight() [2/2]

Weight const & VertexWeight | ( | int | index | ) | const

inline

Definition at line 231 of file scheme.h.

The documentation for this class was generated from the following file:

- opensubdiv/sdc/scheme.h